Package org.apache.cayenne.access.sqlbuilder.sqltree

# Class AliasedNode

java.lang.Object
org.apache.cayenne.access.sqlbuilder.sqltree.Node
org.apache.cayenne.access.sqlbuilder.sqltree.AliasedNode

public class AliasedNode extends Node

Since:
  4.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `alias`

  ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

  `children, childrenCount, parent, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AliasedNode(String alias)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QuotingAppendable`
  `append(QuotingAppendable buffer)`
  `void`
  `appendChildrenEnd(QuotingAppendable buffer)`
  `Node`
  `copy()`
  `boolean`
  `equals(Object o)`
  `String`
  `getAlias()`
  `int`
  `hashCode()`
  `void`
  `visit(NodeTreeVisitor visitor)`

  ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

  `addChild, addChild, appendChildrenSeparator, appendChildrenStart, deepCopy, deepEquals, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### alias

    protected final String alias

- ## Constructor Details

  - ### AliasedNode

    public AliasedNode(String alias)

- ## Method Details

  - ### copy

    public Node copy()
    Specified by:
      `copy` in class `Node`

  - ### append

    public QuotingAppendable append(QuotingAppendable buffer)
    Specified by:
      `append` in class `Node`

  - ### visit

    public void visit(NodeTreeVisitor visitor)
    Overrides:
      `visit` in class `Node`

  - ### appendChildrenEnd

    public void appendChildrenEnd(QuotingAppendable buffer)
    Overrides:
      `appendChildrenEnd` in class `Node`

  - ### getAlias

    public String getAlias()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Node`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Node`